public class Knight extends Player
{
    public Knight(String name)
    {
        super(name, 150, 50, new Sword(), new HeavyArmor());
    }

    @Override
    public void defend()
    {
        System.out.println(name + " raises shield! Defense is highly increased.");
    }
}
